#include <bits/stdc++.h>


using namespace std;
using ll = long long;
using d = long double;
using ld = long double;

struct pnt {
    ll x, y;

    pnt() {
    }

    pnt(ll _x, ll _y) { x = _x, y = _y; }
};

d P = 3.14159265358979323846;

d eps = 0.0000000001;

map<int, int> cntr;

d len(pnt a) {
    return sqrt(a.x * a.x + a.y * a.y);
}

pnt operator+(pnt a, pnt b) {
    return pnt(a.x + b.x, a.y + b.y);
}

pnt operator-(pnt a, pnt b) {
    return pnt(a.x - b.x, a.y - b.y);
}

pnt operator*(pnt a, ld b) {
    return pnt(a.x * b, a.y * b);
}

pnt operator/(pnt a, ld b) {
    return pnt(a.x / b, a.y / b);
}

ll operator*(pnt a, pnt b) {
    return a.x * b.x + a.y * b.y;
}

ll operator^(pnt a, pnt b) {
    return a.x * b.y - a.y * b.x;
}

bool operator==(pnt a, pnt b) {
    return abs(a.x - b.x) <= eps && abs(a.y - b.y) <= eps;
}


istream &operator>>(istream &in, pnt &a) {
    in >> a.x >> a.y;
    return in;
}

ostream &operator<<(ostream &out, pnt &a) {
    out << a.x << " " << a.y << "\n";
    return out;
}

bool incl(pnt a, pnt b, pnt c, pnt d) {
    a = a - d;
    b = b - d;
    c = c - d;
    if ((a ^ b) >= -eps && (b ^ c) >= -eps) {
        return true;
    } else if ((a ^ b) <= eps && (b ^ c) <= eps) {
        return true;
    }
    return false;
}

ld angle(pnt a, pnt b) {
    ld ret = (atan2(a ^ b, a * b));
    if (a * b > 0 && (a ^ b) == 0) {
        ret = 0;
    }
    if (ret < eps) {
        ret += 2 * P;
        if (ret > P - eps) {
            return (2 * P - ret);
        }
        return ret;
    } else {
        if (ret > P - eps) {
            return (2 * P - ret);
        }
        return ret;
    }
}

bool check(pnt a, pnt b, pnt c, pnt d) {
    if (!incl(a, b, d, c)) {
        if (abs(angle(b - a, c - a) - angle(b - d, c - d)) < eps) {
            return true;
        } else {
            return false;
        }
    } else {
        if (abs(P - angle(b - a, c - a) - angle(b - d, c - d)) < eps) {
            return true;
        } else {
            return false;
        }
    }
}

int mod(int a, int b) {
    if (a >= 0) {
        return a % b;
    } else {
        int k = a / b;
        k--;
        k *= b;
        return (a - k) % b;
    }
}

int cnt;
map<int, int> mp;

void modify(int pos, int i) {
    if (mp[pos] > 0 && cntr[pos] > 0) {
        cntr[pos]--;
        if (cntr[pos] == 0) {
            cnt--;
        }
    }
    if (mp[pos + i] > 0) {
        cntr[pos + i]++;
        if (cntr[pos + i] == 1) {
            cnt++;
        }
    }
}


int main() {
    ios::sync_with_stdio(0);
    cin.tie(0);
    string a, b;
    cin >> a >> b;
    if (a.size() < b.size()) {
        swap(a, b);
    }
    int n = a.size();
    int m = b.size();
    string sum = "";
    for (int i = 0; i < b.size(); i++) {
        sum = max(a[n - i - 1], b[m - i - 1]) + sum;
    }
    for (int i = b.size(); i < a.size(); i++) {
        sum = a[n - i - 1] + sum;
    }
    cout<<sum<<" ";
    string pr = "";
    vector<string> v(m);
    for (int i = 0; i < b.size(); i++) {
        char c = b[m-i-1];
        for (int j = 0; j < n; j++) {
            v[i] = min(c,a[n-j-1])+v[i];
        }
    }
    string ans = "";
    int cnt = n+m-1;
    for (int i = 0; i < cnt; i++) {
        ans = ans+"0";
    }
    for (int i = 0; i < cnt; i++) {
        for (int j = 0; j < m&&n-i+j-1<n; j++) {
            ans[cnt-i-1] = max(ans[cnt-i-1],v[j][n-i+j-1]);
        }
    }
    cout<<ans;
    return 0;
}
