#include <bits/stdc++.h>


using namespace std;
using ll = long long;


int main() {
    ios::sync_with_stdio(0);
    cin.tie(0);
    ll n, m, k;
    cin >> n >> m >> k;
    vector<vector<ll> > g(n);
    for (ll i = 0; i < m; i++) {
        ll a, b;
        cin >> a >> b;
        a--;
        b--;
        g[a].push_back(b);
        g[b].push_back(a);
    }
    queue<ll> q;
    vector<ll> visited(n, -1);
    for (ll i = 0; i < k; i++) {
        ll p, h;
        cin >> p >> h;
        p--;
        visited[p] = max(visited[p], h);
        q.push(p);
    }
    while (!q.empty()) {
        ll p = q.front();
        q.pop();
        if (visited[p] > 0) {
            for (auto x: g[p]) {
                if (visited[x] < visited[p] - 1) {
                    q.push(x);
                    visited[x] = visited[p] - 1;
                }
            }
        }
    }
    vector<ll> ans;
    for (ll i = 0; i < n; i++) {
        if (visited[i] >= 0) {
            ans.push_back(i + 1);
        }
    }
    if (ans.size() > 0) {
        cout << ans.size() << "\n";
        for (auto it: ans) {
            cout << it << " ";
        }
    } else {
        cout << "";
    }
    return 0;
}