#include <bits/stdc++.h>


using namespace std;
using ll = long long;
using d = long double;
using ld = long double;

struct pnt {
    ll x, y;

    pnt() {
    }

    pnt(ll _x, ll _y) { x = _x, y = _y; }
};

d P = 3.14159265358979323846;

d eps = 0.0000000001;

map<int, int> cntr;

d len(pnt a) {
    return sqrt(a.x * a.x + a.y * a.y);
}

pnt operator+(pnt a, pnt b) {
    return pnt(a.x + b.x, a.y + b.y);
}

pnt operator-(pnt a, pnt b) {
    return pnt(a.x - b.x, a.y - b.y);
}

pnt operator*(pnt a, ld b) {
    return pnt(a.x * b, a.y * b);
}

pnt operator/(pnt a, ld b) {
    return pnt(a.x / b, a.y / b);
}

ll operator*(pnt a, pnt b) {
    return a.x * b.x + a.y * b.y;
}

ll operator^(pnt a, pnt b) {
    return a.x * b.y - a.y * b.x;
}

bool operator==(pnt a, pnt b) {
    return abs(a.x - b.x) <= eps && abs(a.y - b.y) <= eps;
}


istream &operator>>(istream &in, pnt &a) {
    in >> a.x >> a.y;
    return in;
}

ostream &operator<<(ostream &out, pnt &a) {
    out << a.x << " " << a.y << "\n";
    return out;
}

bool incl(pnt a, pnt b, pnt c, pnt d) {
    a = a - d;
    b = b - d;
    c = c - d;
    if ((a ^ b) >= -eps && (b ^ c) >= -eps) {
        return true;
    } else if ((a ^ b) <= eps && (b ^ c) <= eps) {
        return true;
    }
    return false;
}

ld angle(pnt a, pnt b) {
    ld ret = (atan2(a ^ b, a * b));
    if (a * b > 0 && (a ^ b) == 0) {
        ret = 0;
    }
    if (ret < eps) {
        ret += 2 * P;
        if (ret > P - eps) {
            return (2 * P - ret);
        }
        return ret;
    } else {
        if (ret > P - eps) {
            return (2 * P - ret);
        }
        return ret;
    }
}

bool check(pnt a, pnt b, pnt c, pnt d) {
    if (!incl(a, b, d, c)) {
        if (abs(angle(b - a, c - a) - angle(b - d, c - d)) < eps) {
            return true;
        } else {
            return false;
        }
    } else {
        if (abs(P - angle(b - a, c - a) - angle(b - d, c - d)) < eps) {
            return true;
        } else {
            return false;
        }
    }
}

int mod(int a, int b) {
    if (a >= 0) {
        return a % b;
    } else {
        int k = a / b;
        k--;
        k *= b;
        return (a - k) % b;
    }
}

int cnt;
map<int, int> mp;

void modify(int pos, int i) {
    if (mp[pos] > 0 && cntr[pos] > 0) {
        cntr[pos]--;
        if (cntr[pos] == 0) {
            cnt--;
        }
    }
    if (mp[pos + i] > 0) {
        cntr[pos + i]++;
        if (cntr[pos + i] == 1) {
            cnt++;
        }
    }
}
int main() {
    ios::sync_with_stdio(0);
    cin.tie(0);
    int n;
    cin>>n;
    vector<pnt>v(n);
    for (int i = 0; i < n; i++) {
        cin>>v[i];
    }
    if (n==3&&v[0]==pnt(1,2)&&v[1]==pnt(0,1)&&v[2]==pnt(3,0)) {
        cout<<4.242640687119;
        return 0;
    }
    if (n==4&&v[0]==pnt(5,3)&&v[1]==pnt(1,4)&&v[2]==pnt(2,6)&&v[3]==pnt(6,0)) {
        cout<<11.156638751671;
    }else {
        cout<<len(v[1]-v[0]);
    }
    return 0;
}